Subject: Re: bug#34176: X200 kernel panic on S3 resume (linux-libre > 4.18.9)

From: Efraim Flashner <[email-masked]>
Date: Wed, 23 Jan 2019 11:55:31 +0200

On Wed, Jan 23, 2019 at 01:08:39AM -0500, Mike Gerwitz wrote:
> Well, I'm not getting those hours of my life back.
> 
> On Wed, Jan 23, 2019 at 00:58:57 -0500, Mike Gerwitz wrote:
> > usb usb3: root hub lost power or was reset
> 
> [...]
> 
> > uhci_hcd 0000:00:1d.0: host controller process error, something bad happened!
> > uhci_hcd 0000:00:1d.0: host controller halted, very bad!
> > uhci_hcd 0000:00:1d.0: HC died; cleaning up
> 
> [...]
> 
> > (Which is indeed true for my hub 0000:00:1d.0, which is usb6, according
> > to dmesg.)
> 
> Right after sending this message, I recalled that I used powertop to do
> "auto tuning".  Sure enough, one of the lines was this:
> 
>    Good          Autosuspend for USB device UHCI Host Controller [usb6]
> 
> By disabling it, it runs this command:
> 
>   echo on > /sys/bus/usb/devices/usb6/power/control
> 
> And it resolves my suspend issues on 4.20.3-gnu.
> 
> What sucks even more is that I had disabled those settings on the USB
> controllers over a year ago (because it was putting my USB keyboard to
> sleep, dropping the first keypress); don't know how it got re-enabled,
> but the user is probably to blame.
> 
> Sorry for the noise, everyone.  I hope that my suffering provides some
> value to others.
> 
> This bug can be closed.

I'm glad you figured it out. Powertop is a fun beast, often with
unintended consequences.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted